std::istream_iterator::~istream_iterator(3)

NAME
std::istream_iterator::~istream_iterator - std::istream_iterator::~istream_iterator

Synopsis
   ~istream_iterator(); (until C++11)
   ~istream_iterator() = default; (since C++11)
   Destroys the iterator, including the cached value.
   If std::is_trivially_destructible<T>::value is true, then this (since C++11)
   destructor is a trivial destructor.